Package org.bukkit.inventory

# Interface InventoryHolder

All Known Subinterfaces:
  `AbstractHorse`, `AbstractVillager`, `Barrel`, `BlastFurnace`, `BlockInventoryHolder`, `BrewingStand`, `Chest`, `ChestedHorse`, `Container`, `Dispenser`, `Donkey`, `Dropper`, `Furnace`, `Hopper`, `HopperMinecart`, `Horse`, `HumanEntity`, `Lectern`, `Llama`, `Mule`, `Piglin`, `Pillager`, `Player`, `ShulkerBox`, `SkeletonHorse`, `Smoker`, `StorageMinecart`, `TraderLlama`, `Villager`, `WanderingTrader`, `ZombieHorse`

All Known Implementing Classes:
  `DoubleChest`

public interface InventoryHolder

## Method Summary

Modifier and Type
Method
Description
`@NotNull Inventory`
`getInventory()`
Get the object's inventory.

## Method Details

### getInventory

@NotNull @NotNull Inventory getInventory()
Get the object's inventory.

Returns:
  The inventory.